- Managed Planning Data Foundation
- Core Services
Convert a list of trajectory stations, given the unit and spatial context and a reference point in 3D where MD = 0.
Coordinate reference system for the reference point; typically the CRS is a projected CRS; if a geographic CRS is provided, the unitXY must be defined and the azimuthReference must be TrueNorth.
Azimuth reference for the input trajectory station azimuth values (TrueNorth or GridNorth)
The horizontal unit of the dx, dy in the input trajectory stations; the unit must be a length unit in 'persistable reference' format, see example.
The vertical unit of the dz in the input trajectory stations; the unit must be a length unit in 'persistable reference' format, see example.
Point representation for CRS operations.
{ "x": 400000, "y": 6500000, "z": 0 }
The array of input trajectory stations
[ { "md": 0, "inclination": 0, "azimuth": 0 }, { "md": 1000, "inclination": 0, "azimuth": 0 }, { "md": 2000, "inclination": 90, "azimuth": 0 }, { "md": 3000, "inclination": 90, "azimuth": 0 }, { "md": 5000, "inclination": 90, "azimuth": 90 }, { "md": 6000, "inclination": 90, "azimuth": 90 } ]
The computation method - 'AzimuthalEquidistant' (default) or 'LMP' (Lee's modified proposal SPE96813)
The kind of input; e.g. MD_Incl_Azim (default). Future options will be MD_X_Y_Z, MD_dX_dY_dZ, X_Y_Z, dX_dY_dZ. MD stands for measured depth; MD_X_Y_Z/X_Y_Z stand for absolute coordinates in the reference CRS, MD_dX_dY_dZ/dX_dY_dZ stand for deviations relative to the reference point.
- SLB Saas OSDU (SGP)https://as5.api.enterprisedata.slb.com/api/crs/converter/v2/convertTrajectory
- SLB SaaS OSDU (BRS)https://br5.api.enterprisedata.slb.com/api/crs/converter/v2/convertTrajectory
- SLB Saas OSDU (WEU)https://eu5.api.enterprisedata.slb.com/api/crs/converter/v2/convertTrajectory
- SLB SaaS OSDU (EUT)https://eu6.api.enterprisedata.slb.com/api/crs/converter/v2/convertTrajectory
- SLB Saas OSDU (MDE)https://eu7.api.enterprisedata.slb.com/api/crs/converter/v2/convertTrajectory
- SLB Saas OSDU (PSC)https://us5.api.enterprisedata.slb.com/api/crs/converter/v2/convertTrajectory
- SLB Saas OSDU (USC)https://us7.api.enterprisedata.slb.com/api/crs/converter/v2/convertTrajectory
- SLB Saas OSDU (WUS)https://us8.api.enterprisedata.slb.com/api/crs/converter/v2/convertTrajectory
- SLB Saas OSDU (SAS)https://as6.api.enterprisedata.slb.com/api/crs/converter/v2/convertTrajectory
- SLB Saas OSDU (SWC)https://eu8.api.enterprisedata.slb.com/api/crs/converter/v2/convertTrajectory
- SLB Saas OSDU (MYW)https://as7.api.enterprisedata.slb.com/api/crs/converter/v2/convertTrajectory
- SLB Saas OSDU (ZAN)https://za1.api.enterprisedata.slb.com/api/crs/converter/v2/convertTrajectory
- Mock serverhttps://developer.slb.com/_mock/solutions/core-service/apis/osdu-crs-converter-service/convertTrajectory
curl -i -X POST \
https://as5.api.enterprisedata.slb.com/api/crs/converter/v2/convertTrajectory \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-H 'data-partition-id: string' \
-d '{
"trajectoryCRS": "{\"wkt\":\"PROJCS[\\\"WGS_1984_UTM_Zone_31N\\\",GEOGCS[\\\"GCS_WGS_1984\\\",DATUM[\\\"D_WGS_1984\\\",SPHEROID[\\\"WGS_1984\\\",6378137.0,298.257223563]],PRIMEM[\\\"Greenwich\\\",0.0],UNIT[\\\"Degree\\\",0.0174532925199433]],PROJECTION[\\\"Transverse_Mercator\\\"],PARAMETER[\\\"False_Easting\\\",500000.0],PARAMETER[\\\"False_Northing\\\",0.0],PARAMETER[\\\"Central_Meridian\\\",3.0],PARAMETER[\\\"Scale_Factor\\\",0.9996],PARAMETER[\\\"Latitude_Of_Origin\\\",0.0],UNIT[\\\"Meter\\\",1.0],AUTHORITY[\\\"EPSG\\\",32631]]\",\"ver\":\"PE_10_3_1\",\"name\":\"WGS_1984_UTM_Zone_31N\",\"authCode\":{\"auth\":\"EPSG\",\"code\":\"32631\"},\"type\":\"LBC\"}",
"azimuthReference": "TN",
"unitXY": "{\"scaleOffset\":{\"scale\":1.0,\"offset\":0.0},\"symbol\":\"m\",\"baseMeasurement\":{\"ancestry\":\"Length\",\"type\":\"UM\"},\"type\":\"USO\"}",
"unitZ": "{\"scaleOffset\":{\"scale\":1.0,\"offset\":0.0},\"symbol\":\"m\",\"baseMeasurement\":{\"ancestry\":\"Length\",\"type\":\"UM\"},\"type\":\"USO\"}",
"referencePoint": {
"x": 400000,
"y": 6500000,
"z": 0
},
"inputKind": "MD_Incl_Azim",
"interpolate": true,
"inputStations": [
{
"md": 0,
"inclination": 0,
"azimuth": 0
},
{
"md": 1000,
"inclination": 0,
"azimuth": 0
},
{
"md": 2000,
"inclination": 90,
"azimuth": 0
},
{
"md": 3000,
"inclination": 90,
"azimuth": 0
},
{
"md": 5000,
"inclination": 90,
"azimuth": 90
},
{
"md": 6000,
"inclination": 90,
"azimuth": 90
}
],
"method": "AzimuthalEquidistant"
}'Trajectory conversion performed successfully
Coordinate reference system for the reference point; typically the CRS is a projected CRS; if a geographic CRS is provided, the unitXY must be defined and the azimuthReference must be TrueNorth.
The horizontal unit of the dx, dy in the output trajectory stations.
The vertical unit of the dz in the output trajectory stations.
The unit of the dog leg severity (DLS) in the output trajectory stations.
Coordinate Reference System for the local, True North oriented, true distance, engineering CRS with origin at the well's surface location.
The computation method used - 'AzimuthalEquidistant' (default) or 'LMP' (Lee's modified proposal SPE96813).
{ "trajectoryCRS": "{\"lateBoundCRS\":{\"wkt\":\"PROJCS[\\\"Trinidad_1903_Trinidad_Grid\\\",GEOGCS[\\\"GCS_Trinidad_1903\\\",DATUM[\\\"D_Trinidad_1903\\\",SPHEROID[\\\"Clarke_1858\\\",6378293.64520876,294.260676369]],PRIMEM[\\\"Greenwich\\\",0.0],UNIT[\\\"Degree\\\",0.0174532925199433]],PROJECTION[\\\"Cassini\\\"],PARAMETER[\\\"False_Easting\\\",430000.0],PARAMETER[\\\"False_Northing\\\",325000.0],PARAMETER[\\\"Central_Meridian\\\",-61.3333333333333],PARAMETER[\\\"Scale_Factor\\\",1.0],PARAMETER[\\\"Latitude_Of_Origin\\\",10.4416666666667],UNIT[\\\"Link_Clarke\\\",0.201166195164],AUTHORITY[\\\"EPSG\\\",30200]]\",\"ver\":\"PE_10_3_1\",\"name\":\"Trinidad_1903_Trinidad_Grid\",\"authCode\":{\"auth\":\"EPSG\",\"code\":\"30200\"},\"type\":\"LBC\"},\"singleCT\":{\"wkt\":\"GEOGTRAN[\\\"Trinidad_1903_To_WGS_1984_2\\\",GEOGCS[\\\"GCS_Trinidad_1903\\\",DATUM[\\\"D_Trinidad_1903\\\",SPHEROID[\\\"Clarke_1858\\\",6378293.64520876,294.260676369]],PRIMEM[\\\"Greenwich\\\",0.0],UNIT[\\\"Degree\\\",0.0174532925199433]],GEOGCS[\\\"GCS_WGS_1984\\\",DATUM[\\\"D_WGS_1984\\\",SPHEROID[\\\"WGS_1984\\\",6378137.0,298.257223563]],PRIMEM[\\\"Greenwich\\\",0…" , "unitXY": "{\"scaleOffset\":{\"scale\":1.0,\"offset\":0.0},\"symbol\":\"m\",\"baseMeasurement\":{\"ancestry\":\"Length\",\"type\":\"UM\"},\"type\":\"USO\"}", "unitZ": "{\"scaleOffset\":{\"scale\":1.0,\"offset\":0.0},\"symbol\":\"m\",\"baseMeasurement\":{\"ancestry\":\"Length\",\"type\":\"UM\"},\"type\":\"USO\"}", "unitDls": "{\"scaleOffset\":{\"scale\":5.72614583987641E-4,\"offset\":0.0},\"symbol\":\"deg/100ft\",\"baseMeasurement\":{\"ancestry\":\"Rotation_Per_Length\",\"type\":\"UM\"},\"type\":\"USO\"}", "stations": [ { … } ], "localCRS": "{\"lateBoundCRS\":{\"wkt\":\"PROJCS[\\\"Trinidad_1903_Trinidad_Grid\\\",GEOGCS[\\\"GCS_Trinidad_1903\\\",DATUM[\\\"D_Trinidad_1903\\\",SPHEROID[\\\"Clarke_1858\\\",6378293.64520876,294.260676369]],PRIMEM[\\\"Greenwich\\\",0.0],UNIT[\\\"Degree\\\",0.0174532925199433]],PROJECTION[\\\"Cassini\\\"],PARAMETER[\\\"False_Easting\\\",430000.0],PARAMETER[\\\"False_Northing\\\",325000.0],PARAMETER[\\\"Central_Meridian\\\",-61.3333333333333],PARAMETER[\\\"Scale_Factor\\\",1.0],PARAMETER[\\\"Latitude_Of_Origin\\\",10.4416666666667],UNIT[\\\"Link_Clarke\\\",0.201166195164],AUTHORITY[\\\"EPSG\\\",30200]]\",\"ver\":\"PE_10_3_1\",\"name\":\"Trinidad_1903_Trinidad_Grid\",\"authCode\":{\"auth\":\"EPSG\",\"code\":\"30200\"},\"type\":\"LBC\"},\"singleCT\":{\"wkt\":\"GEOGTRAN[\\\"Trinidad_1903_To_WGS_1984_2\\\",GEOGCS[\\\"GCS_Trinidad_1903\\\",DATUM[\\\"D_Trinidad_1903\\\",SPHEROID[\\\"Clarke_1858\\\",6378293.64520876,294.260676369]],PRIMEM[\\\"Greenwich\\\",0.0],UNIT[\\\"Degree\\\",0.0174532925199433]],GEOGCS[\\\"GCS_WGS_1984\\\",DATUM[\\\"D_WGS_1984\\\",SPHEROID[\\\"WGS_1984\\\",6378137.0,298.257223563]],PRIMEM[\\\"Greenwich\\\",0…" , "method": "AzimuthalEquidistant", "operationsApplied": [ "string" ] }